1

I've tried the following things:

sudo pear install -f HTML_BBCodeParser2-0.1.0

Result:

downloading HTML_BBCodeParser2-0.1.0.tgz ... Starting to download HTML_BBCodeParser2-0.1.0.tgz (14,621 bytes) .....done: 14,621 bytes could not extract the package.xml file from "/build/php5-8gpaOy/php5-5.5.9+dfsg/pear-build-download/HTML_BBCodeParser2-0.1.0.tgz" Download of "pear/HTML_BBCodeParser2" succeeded, but it is not a valid package archive Error: cannot download "pear/HTML_BBCodeParser2" Download failed install failed

Then:

sudo pear install HTML_BBCodeParser2-0.1.0

Starting to download HTML_BBCodeParser2-0.1.0.tgz (14,621 bytes) .....done: 14,621 bytes could not extract the package.xml file from "/build/php5-8gpaOy/php5-5.5.9+dfsg/pear-build-download/HTML_BBCodeParser2-0.1.0.tgz" Download of "pear/HTML_BBCodeParser2" succeeded, but it is not a valid package archive Error: cannot download "pear/HTML_BBCodeParser2" Download failed install failed

Then:

sudo pear install HTML_BBCodeParser2-beta

downloading HTML_BBCodeParser2-0.1.0.tgz ... Starting to download HTML_BBCodeParser2-0.1.0.tgz (14,621 bytes) .....done: 14,621 bytes could not extract the package.xml file from "/build/php5-8gpaOy/php5-5.5.9+dfsg/pear-build-download/HTML_BBCodeParser2-0.1.0.tgz" Download of "pear/HTML_BBCodeParser2" succeeded, but it is not a valid package archive Error: cannot download "pear/HTML_BBCodeParser2" Download failed install failed

I'm running out of tricks and reasoning... Please help. Can't figure out the problem and so can't solve it. Help! Someone with rep more than 300 please edit the question and add a 'pear' tag. Thank you!

0

Unfortunately, whenever Ubuntu or Debian push out an update that touches on PEAR, they revert the installed version of Archive_Tar to a broken one. I've reported this several times.

You simply need to upgrade Archive_Tar to a version that works. Do this with:

$ sudo pear upgrade -Z pear/Archive_Tar

After that you should be able to install HTML_BBCodeParser2 just fine.

(I would also recommend that you upgrade to PEAR 1.10.0)

  • Wow! Worked fine! Helped a lot! – abhishah901 Nov 5 '15 at 7:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.